---
title: 'HTMLMediaElement: volumechange event'
slug: Web/API/HTMLMediaElement/volumechange_event
tags:
  - API
  - Audio
  - Event
  - HTMLMediaElement
  - Reference
  - Video
  - Web
---
<div>{{APIRef("HTMLMediaElement")}}</div>

<p><span class="seoSummary">The <code>volumechange</code> event is fired when the volume has changed.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{DOMxRef("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Target</th>
   <td>Element</td>
  </tr>
  <tr>
   <th scope="row">Default Action</th>
   <td>None</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers.onvolumechange")}}</td>
  </tr>
  <tr>
   <th scope="row">Specification</th>
   <td><a class="external" href="https://html.spec.whatwg.org/multipage/media.html#event-media-volumechange">HTML5 media</a></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>These examples add an event listener for the HTMLMediaElement's <code>volumechange</code> event, then post a message when that event handler has reacted to the event firing.</p>

<p>Using <code>addEventListener()</code>:</p>

<pre class="brush: js notranslate">const video = document.querySelector('video');

video.addEventListener('volumechange', (event) =&gt; {
  console.log('The volume changed.');
});</pre>

<p>Using the <code>onvolumechange</code> event handler property:</p>

<pre class="brush: js notranslate">const video = document.querySelector('video');

video.onvolumechange = (event) =&gt; {
  console.log('The volume changed.');
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "media.html#event-media-volumechange", "volumechange media event")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#event-media-volumechange", "volumechange media event")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.volumechange_event")}}</p>

<h2 id="Related_Events">Related Events</h2>

<ul>
 <li>{{domxref("HTMLMediaElement.playing_event", 'HTMLMediaElement: playing event')}}</li>
 <li>{{domxref("HTMLMediaElement.waiting_event", 'HTMLMediaElement: waiting event')}}</li>
 <li>{{domxref("HTMLMediaElement.seeking_event", 'HTMLMediaElement: seeking event')}}</li>
 <li>{{domxref("HTMLMediaElement.seeked_event", 'HTMLMediaElement: seeked event')}}</li>
 <li>{{domxref("HTMLMediaElement.ended_event", 'HTMLMediaElement: ended event')}}</li>
 <li>{{domxref("HTMLMediaElement.loadedmetadata_event", 'HTMLMediaElement: loadedmetadata event')}}</li>
 <li>{{domxref("HTMLMediaElement.loadeddata_event", 'HTMLMediaElement: loadeddata event')}}</li>
 <li>{{domxref("HTMLMediaElement.canplay_event", 'HTMLMediaElement: canplay event')}}</li>
 <li>{{domxref("HTMLMediaElement.canplaythrough_event", 'HTMLMediaElement: canplaythrough event')}}</li>
 <li>{{domxref("HTMLMediaElement.durationchange_event", 'HTMLMediaElement: durationchange event')}}</li>
 <li>{{domxref("HTMLMediaElement.timeupdate_event", 'HTMLMediaElement: timeupdate event')}}</li>
 <li>{{domxref("HTMLMediaElement.play_event", 'HTMLMediaElement: play event')}}</li>
 <li>{{domxref("HTMLMediaElement.pause_event", 'HTMLMediaElement: pause event')}}</li>
 <li>{{domxref("HTMLMediaElement.ratechange_event", 'HTMLMediaElement: ratechange event')}}</li>
 <li>{{domxref("HTMLMediaElement.volumechange_event", 'HTMLMediaElement: volumechange event')}}</li>
 <li>{{domxref("HTMLMediaElement.suspend_event", 'HTMLMediaElement: suspend event')}}</li>
 <li>{{domxref("HTMLMediaElement.emptied_event", 'HTMLMediaElement: emptied event')}}</li>
 <li>{{domxref("HTMLMediaElement.stalled_event", 'HTMLMediaElement: stalled event')}}</li>
</ul>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLAudioElement")}}</li>
 <li>{{domxref("HTMLVideoElement")}}</li>
 <li>{{HTMLElement("audio")}}</li>
 <li>{{HTMLElement("video")}}</li>
</ul>
